const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const swipes = sequelize.define(
    'swipes',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

action: {
        type: DataTypes.ENUM,
      
      

        values: [

"like",


"pass",


"super_like"

        ],

      },

acted_at: {
        type: DataTypes.DATE,
      
      

      },

source: {
        type: DataTypes.TEXT,
      
      

      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  swipes.associate = (db) => {


/// loop through entities and it's fields, and if ref === current e[name] and create relation has many on parent entity




























//end loop



    db.swipes.belongsTo(db.users, {
      as: 'from_user',
      foreignKey: {
        name: 'from_userId',
      },
      constraints: false,
    });

    db.swipes.belongsTo(db.users, {
      as: 'to_user',
      foreignKey: {
        name: 'to_userId',
      },
      constraints: false,
    });




    db.swipes.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.swipes.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };



  return swipes;
};


